%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/10osvendor

Name: xorg-drv-radeonhd
Version: 1.2.1
Release: alt1.M41.1
Serial: 1
Summary: AMD r5xx/r6xx driver for Xorg
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Provides: xorg-x11-drv-radeonhd = %serial:%version-%release
Obsoletes: xorg-x11-drv-radeonhd

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: libdrm-devel libmesa-devel xorg-sdk xorg-proto-devel
BuildRequires: xorg-util-macros libpci-devel zlib-devel

%description
Driver for AMD GPG r5xx/r6xx Chipsets

%def_disable static

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
sed -ne 's|^[[:space:]]*RHD_DEVICE.*0x\([0-9A-F]*\)\,[[:space:]].*\/\*[[:space:]]*\(.*\)[[:space:]]*\*\/.*|alias pcivideo:v00001002d0000\1sv*sd*bc*sc*i* radeonhd # \2|p' src/rhd_id.c \
	> %buildroot%_hwdatadir/radeonhd.xinf

mkdir -p %buildroot%_fdidir
sh xinf2fdi -x %buildroot%_hwdatadir/radeonhd.xinf -f %buildroot%_fdidir/11-x11-video-radeonhd.fdi -d radeonhd

%files
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-radeonhd.fdi
%_man4dir/*.4*

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1.M41.1
- build for branch 4.1

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt2
- renamed xorg-x11-drv-radeonhd to xorg-drv-radeonhd
- added requires XORG_ABI_VIDEODRV = 2.0

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Fri Apr 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0:
  + Added support for RV620, RV635, and R680.
  + Added 2D acceleration for R5xx (including RS6xx), both XAA and EXA.
  + Added support for DDIA block (second digital output) on RS690.
  + Added support for interlaced modes
  + Added additional layers for splitting outputs into encoders and
    transmitters as needed for new hardware.
  + Added support for DragonFly BSD.
  + Improved RandR corner cases.
  + Improved handling of secondary cards.
  + Implemented foundation work for future TV support.
  + Huge number of bugfixes and minor updates.

* Mon Feb 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- GIT snapshot 2008-02-03 (f37d4cb9767a7d7aca66c489578a86fc71a25c00)

* Fri Dec 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- Holiday Release

* Fri Nov 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0-alt1
- Version 1.0.0
  - First released version.
  - Full modesetting driver, capable of driving multiple monitors.
  - Support for VGA, DVI, DMS-59, and laptop panels.
  - Support for monitor hotplug detection, DDC, and dynamic reconfiguration.
  - Full RandR 1.2 compatibility.
  - AtomBIOS support for initialization, data tables, etc.
  - Early RandR 1.3 property support (subject to change).
  - Hardware cursor support.
  - No 2D & 3D acceleration, no XVideo yet. No TV, Component, and HDMI yet.

* Sun Nov 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.4-alt1
- 0.0.4

* Thu Nov 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.3-alt1
- 0.0.3

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.2-alt2
- GIT snapshot 2007-11-15 (78954e2c72af530b08413395da79953b4b939d52)
  + Added Radeon X1250

* Wed Oct 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:0.0.2-alt1
- GIT snapshot 2007-10-23 (8699deaba2c920a3df35acfea49360888868becb)

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt3
- GIT snapshot 2007-10-15 (ba33954c52d92d8cbf634bbdc9b6a033e381eb5b)

* Wed Oct 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt2
- GIT snapshot 2007-10-09 (26550c72ad588bfa9956a5ce81c2f80381d505f9)

* Mon Oct 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt1
- GIT snapshot 2007-09-28 (77c7f3f06aebde6d715fbdfc0da2dbb9e7e52279)
